Trillet AI logo

Get a webhook endpoint

Trillet OEM API: Needs events:read and a key that is not restricted to some tenants.

GEThttps://api.trillet.ai/partner/v1/webhook-endpoints/{id}

Needs events:read and a key that is not restricted to some tenants.

Loading code example
Loading code example

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idstringrequired

The webhook endpoint ID.

Pattern: ^[a-fA-F0-9]{24}$

Response

application/json

The endpoint.

objectstringrequired
idstringrequired
Pattern: ^[a-fA-F0-9]{24}$
urlstringrequired
descriptionstring | null
enabledEventsarray<"*" | "call.started" | "call.ended" | "call.analyzed" | "call.no_answer" | "call.failed" | "call.blocked" | "call.transferred" | "call.transfer_failed" | "tool.failed" | "booking.created" | "booking.cancelled" | "booking.rescheduled" | "recording.available" | "sms.received" | "sms.sent" | "sms.failed" | "workflow_run.completed" | "workflow_run.failed" | "number.provisioned" | "number.released" | "number.renewal_failed" | "tenant.created" | "tenant.updated" | "tenant.suspended" | "tenant.resumed" | "tenant.deleted" | "tenant.restored" | "usage.threshold_reached" | "endpoint.test">required
status"enabled" | "disabled"required
Allowed values: "enabled" | "disabled"
disabledReasonstring | null
failingSincestring | null<date-time>
includeConversationDataboolean | null
redactPIIboolean
createdAtstring | null<date-time>

Last updated on